# Version 2.2 - 2.3

This update will break any project that has changed any of the following from the default plugin installation:

## The `updateItem()` method in `EvBasket.BasketItem`
### What breaks
The method parameteres have been updated to contain `$item`. This variable contains the data that is used to update the item. If this method has been extended then an error will be thrown saying that you are missing a parameter.
### How to fix
* Update the extended method to contain the new parameter.

## Saving BasketItemData via `addItem()`/`updateItem()` methods in `EvBasket.BasketComponent`
### What breaks
In version 2.2 the basket item data could have records with duplicate names for the data. Version 2.3 ensures that basket item data isn't duplicated per item and if any basket item data is passed through the original is overwritten.
### How to fix
* If multiple data entries are being used then the basket item data will need to be changed so that any new basket item data is appended/merged.

